import { CandyGraph } from "../candygraph";
import { Composite, Renderable } from "../common";
import { CoordinateSystem } from "../coordinates/coordinate-system";
import { Regl } from "regl";
export declare function createScissor(cg: CandyGraph, x: number, y: number, width: number, height: number, screenSpace: boolean, children: Renderable): Scissor;
export declare class Scissor extends Composite {
    private regl;
    x: number;
    y: number;
    width: number;
    height: number;
    screenSpace: boolean;
    private _children;
    constructor(regl: Regl, x: number, y: number, width: number, height: number, screenSpace: boolean, children: Renderable);
    scope(): import("regl").DrawCommand<import("regl").DefaultContext, {}>;
    props(coords: CoordinateSystem): {
        box: {
            x: number;
            y: number;
            width: number;
            height: number;
        };
    };
    children(): Renderable;
}
