import { Regl, DrawCommand } from "regl";
import { Vector2 } from "../common";
import { CoordinateSystem, Kind } from "./coordinate-system";
import { LinearScale } from "../scales/linear";
import { LogScale } from "../scales/log";
declare type Props = {
    xdomain: Vector2;
    ydomain: Vector2;
    xrange: Vector2;
    yrange: Vector2;
};
export declare function createCartesianCoordinateSystem(xscale: LinearScale | LogScale, yscale: LinearScale | LogScale): CartesianCoordinateSystem;
export declare class CartesianCoordinateSystem extends CoordinateSystem {
    readonly xscale: LinearScale | LogScale;
    readonly yscale: LinearScale | LogScale;
    readonly glsl: string;
    readonly kind = Kind.Cartesian;
    constructor(xscale: LinearScale | LogScale, yscale: LinearScale | LogScale);
    toRange(v: Vector2): Vector2;
    toDomain(v: Vector2): Vector2;
    scope(regl: Regl): DrawCommand;
    props(): Props;
}
export {};
